Bug 1559422 - Edit and Save of Satellite Provider doesn't return to All Configuration Manager Providers page
Summary: Edit and Save of Satellite Provider doesn't return to All Configuration Manag...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: All
OS: All
medium
medium
Target Milestone: GA
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Tasos Papaioannou
URL:
Whiteboard: ui:config_management
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-22 14:15 UTC by Tasos Papaioannou
Modified: 2019-02-07 23:01 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:18 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:24 UTC

Description Tasos Papaioannou 2018-03-22 14:15:30 UTC
Description of problem:

After I edit a Satellite configuration provider's name and click Save, I should be returned to the All Configuration Manager Providers page. This no longer happens in 5.9.2.0.

Version-Release number of selected component (if applicable):

5.9.2.0.

How reproducible:

100%

Steps to Reproduce:
1.) Edit a Satellite Configuration Provider, change its name, and click Save.

Actual results:

After clicking Save, the web UI stays on the Edit Provider page.

Expected results:

After clicking Save, the web UI should return to the All Configuration Manager Providers page.

Additional info:

This is a regression from 5.9.1.0 to 5.9.2.0.

Comment 3 Hilda Stastna 2018-03-23 10:39:09 UTC
I would like to add that the very important step to reproduce the bug is to edit the provider so that you go to All Configuration Management Providers page, then you select the provider for editing by checking its checkbox and then, under Configuration, you choose Edit Selected item. Otherwise, I was not able to reproduce this bug.

Comment 5 Hilda Stastna 2018-03-23 11:44:08 UTC
I've decided to write new, EXACT steps to reproduce, as it is not possible to reproduce the bug simply as it is written above:

1. Go to Configuration > Management > Providers,
  you should see All Configuration Management Providers page
2. Click on any other node in the tree, in accordion (this is very important!)
3. Go back to All Configuration Management Providers page so that you click
  on All Configuration Management Providers folder in the tree, in accordion
4. Do what is was written above (original step(s) to reproduce + my note):
  select the provider for editing by checking its checkbox and then,
  under Configuration, choose Edit Selected item

Additional info:
There is another bug in the page, related to editing/saving provider: if you are successful with saving provider's changes and if you edited its name, the new name is not seen in the tree, the accordion does not refresh, after saving the changes (Tasos, do we have a BZ for this?)

Comment 6 Hilda Stastna 2018-03-23 11:46:55 UTC
Missed the last steps:

5. In the editing page, change provider's name
6. Try to save the changes by clicking on Save button

Comment 7 Tasos Papaioannou 2018-03-23 14:04:41 UTC
It looks like you were able to reproduce the issue, but if you still need logs, I'm attaching a tail of /var/www/miq/vmdb/log/*.log captured while trying to change the provider name, with the following steps:

1.) Click on Configuration > Management
2.) Click on Red Hat Satellite Providers in accordion.
3.) Click on All Configuration Manager Providers in accordion.
4.) Check box next to provider, currently named "sat62a1a Configuration Manager".
5.) Click Configuration > Edit Selected Item.
6.) Change Name field to "sat62a1b" and click Save.

Note that there is a NoMethodError logged in production.log during the save.

I haven't created a separate BZ for refreshing the accordion to reflect the name change. If you think that should be its own BZ, I can create one.

Comment 10 Hilda Stastna 2018-03-23 17:41:32 UTC
fixing https://github.com/ManageIQ/manageiq-ui-classic/pull/3676

Comment 12 Tasos Papaioannou 2018-06-26 16:37:48 UTC
Verified on 5.10.0.1.

Comment 13 errata-xmlrpc 2019-02-07 23:01:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.